import glob
import unittest
import pycodestyle


class TestCodeFormat(unittest.TestCase):

    def test_codestyle_conformance(self):
        """Test that we conform to PEP-8."""
        style = pycodestyle.StyleGuide(
            quiet=True, ignore=["E121", "E123", "E126", "E226", "E24", "E704", "W503", "W504", "E501"])
        result = style.check_files(glob.glob("./**/*.py"))
        print("================ pycodestyle statistics ================")
        if result.total_errors == 0:
            print("Your code style is GREAT!")
        else:
            for line in result.get_statistics():
                print(line)
            print("*** Please use the command below to check code yourself!!! ***")
            print("pycodestyle ./**/*.py --ignore=E121,E123,E126,E226,E24,E704,W503,W504,E501,E722")
        print("========================================================")
        self.assertEqual(result.total_errors, 0, "Found code style errors (and warnings).")
